<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
    [innerText]="messages.getAdminTypeTypologyPopupModalTitle(type)">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body">

  <ul
    ngbNav
    #nav="ngbNav"
    class="ip-tabs">

    <li
      ngbNavItem="tab-general"
      [destroyOnHide]="false">
      <a ngbNavLink>
        <span [innerText]="messages.GENERAL_TAB_TITLE"></span>
        <fa-icon
          *ngIf="!generalFormValid"
          [icon]="commonIcons.INVALID_FORM_ICON"
          class="ip-tab-error-icon">
        </fa-icon>
      </a>
      <ng-template ngbNavContent>
        <app-type-general
          (valid)="setGeneralFormValid($event)"
          [type]="type">
        </app-type-general>
      </ng-template>
    </li>

    <li
      ngbNavItem="tab-protocol"
      [destroyOnHide]="false">
      <a ngbNavLink>
        <span [innerText]="messages.SIGNING_FORMAT_TAB_TITLE"></span>
        <fa-icon
          *ngIf="!protocolFormValid"
          [icon]="commonIcons.INVALID_FORM_ICON"
          class="ip-tab-error-icon">
        </fa-icon>
      </a>
      <ng-template ngbNavContent>
        <app-type-protocol
          (valid)="setProtocolFormValid($event)"
          (goToCustomizeStampTabEvent)="goToCustomizeStampTab()"
          (showCustomizeStampTab)="setShowCustomizeStampTab($event)"
          [tenant]="tenant"
          [type]="type">
        </app-type-protocol>
      </ng-template>
    </li>

    <li
      *ngIf="showCustomizeStampTab"
      ngbNavItem="tab-customize-stamp"
      [destroyOnHide]="false">
      <a ngbNavLink><span [innerText]="messages.SIGNING_LAYOUT_TAB_TITLE"></span></a>
      <ng-template ngbNavContent>
        <app-type-signature-stamp [type]="type"></app-type-signature-stamp>
      </ng-template>
    </li>

  </ul>

  <div
    [ngbNavOutlet]="nav"
    class="py-4">
  </div>

</div>

<div class="modal-footer">
  <button
    ls-button-cancel
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
  <button
    ls-button-save
    (click)="onSaveButtonClicked()"
    [disabled]="!validForms()"
    [processing]="isProcessing">
  </button>
</div>
